Archi Forum

Archi => General Archi Discussion => Topic started by: Marbi on October 22, 2017, 20:11:18 PM

Title: Archi run error on Linux Mint
Post by: Marbi on October 22, 2017, 20:11:18 PM
Hi.
I decided to switch to Linux. I've downloaded Archi for Linux x64 and  I'm trying to run it on Mint. Unfortunately after launching Archi generates an error. See, pls.  the  attached  log file.
Please help because I decisively want to say goodbye to Win.
Regards,
Marek
Title: Re: Archi run error on Linux Mint
Post by: Phil Beauvoir on October 22, 2017, 20:37:11 PM
Caused by Java 9 instead of Java 8?
Title: Re: Archi run error on Linux Mint
Post by: Marbi on October 23, 2017, 08:22:41 AM
Yes. The Java 9 jdk was installed.
Title: Re: Archi run error on Linux Mint
Post by: Phil Beauvoir on October 23, 2017, 08:35:28 AM
Archi (and the Eclipse version that it is built on) won't run on Java 9 without some setting up. Either run it using Java 8 or configure it to use Java 9 (Google "Eclipse Neon Java 9"). At this stage Java 9 is not really supported.
Title: Re: Archi run error on Linux Mint
Post by: Marbi on October 23, 2017, 08:56:42 AM
So I'm going back to java 8.
Thanks a lot.
Marek
Title: Re: Archi run error on Linux Mint
Post by: Marbi on October 24, 2017, 17:13:24 PM
Hi.
I switched back to Java 8 and everything works perfect, except perhaps a small trifle. When I increase the font by a factor of 1.3, the upper option bar is displayed incorrectly.
Best regards,
Marek